Bug 1149362 - Add xorg-x11-drv-opentegra to xorg-x11-drivers by default on arm
Summary: Add xorg-x11-drv-opentegra to xorg-x11-drivers by default on arm
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drivers
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ARMTracker
TreeView+ depends on / blocked
 
Reported: 2014-10-03 20:41 UTC by Nicolas Chauvet (kwizart)
Modified: 2014-11-03 05:21 UTC (History)
2 users (show)

Fixed In Version: xorg-x11-drivers-7.7-12.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-03 05:21:55 UTC


Attachments (Terms of Use)
Add xorg-x11-drv-opentegra by default (624 bytes, patch)
2014-10-03 20:46 UTC, Nicolas Chauvet (kwizart)
no flags Details | Diff

Description Nicolas Chauvet (kwizart) 2014-10-03 20:41:12 UTC
Description of problem:
xorg-x11-drivers should bring xorg-x11-drv-opentegra by default on arm and aarch64

Version-Release number of selected component (if applicable):
7.7-11.fc21

How reproducible:
always

Steps to Reproduce:
1. yum install xorg-x11-drivers.armv7hl
2.
3.

Actual results:
no opentegra driver

Expected results:
xorg-x11-drv-opentegra should be installed

Additional info:
- This is a new driver: https://bugzilla.redhat.com/show_bug.cgi?id=1122713
- opentegra is automatically selected with f21 and later (support OutputClass)
- It is already compatible with rootless X
- opentegra is mandatory in my case (tegra20 paz00/trimslice/jetson-tk1) as fbdev or modesetting driver don't work with theses devices.
So there is no alternatives for the related devices.
- The cma kernel boot option might need to be raised. cma=64M is the kernel default value upstream but fedora kernel is lower (cma=16M)
See https://bugzilla.redhat.com/show_bug.cgi?id=1127000

Comment 1 Nicolas Chauvet (kwizart) 2014-10-03 20:46:01 UTC
Created attachment 943795 [details]
Add xorg-x11-drv-opentegra by default

Comment 2 Nicolas Chauvet (kwizart) 2014-10-03 20:46:52 UTC
FYI the related bodhi update
https://admin.fedoraproject.org/updates/xorg-x11-drv-opentegra-0.7.0-1.fc20

Comment 3 Hans de Goede 2014-10-28 10:25:19 UTC
Hi Nicolas,

Thanks for your work on opentegra support. I'm preparing an update adding the necessary Requires to the xorg-x11-drivers packahe for F-21+ now.

Regards,

Hans

Comment 4 Fedora Update System 2014-10-28 10:48:13 UTC
xorg-x11-drivers-7.7-12.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/xorg-x11-drivers-7.7-12.fc21

Comment 5 Fedora Update System 2014-10-31 01:26:35 UTC
Package xorg-x11-drivers-7.7-12.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xorg-x11-drivers-7.7-12.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-13953/xorg-x11-drivers-7.7-12.fc21
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2014-11-03 05:21:55 UTC
xorg-x11-drivers-7.7-12.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.